# Poco::Net::NTLMCredentials

# struct AuthenticateMessage

Library: Net
Package: NTLM
Header: Poco/Net/NTLMCredentials.h

## Description

This message is sent from the client to authenticate itself by providing a response to the server challenge.

## Constructors

### AuthenticateMessage

AuthenticateMessage();

## Variables

### flags

Poco::UInt32 flags;

### lmResponse

std::vector < unsigned char > lmResponse;

### ntlmResponse

std::vector < unsigned char > ntlmResponse;

### target

std::string target;

### username

std::string username;

### workstation

std::string workstation;